post
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('')/QuickReceive
Quick receive a quantity of an existing part into inventory.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Quick Receive Part
Quick receive a quantity of an existing part into inventory.
POST /ODataApi/v1/Parts('name')/QuickReceiveEndpoint
https://{sitename}.mvpplant.com/ODataApi/v1/Parts('{name}')/QuickReceiveReplace {sitename} with your MVP One site name and {name} with the part name or part ID.
Request body
Send the quick receive details in the request body.
| Field | Type | Required | Description |
|---|---|---|---|
WarehouseID | String | Yes | Warehouse where the part is received. |
StockLocation | String | Yes | Stock location where the part is received. |
Quantity | Decimal | Yes | Quantity to receive. |
UnitCost | Decimal | Yes | Unit cost for the received part. |
ToAccount | String | Yes | Account receiving the quick receive quantity. |
Notes | String | Yes | Notes for the quick receive transaction. |
TransactionDate | String | Yes | Date and time of the quick receive transaction. |
Example request
{
"WarehouseID": "MAIN",
"StockLocation": "A-01",
"Quantity": 10,
"UnitCost": 25.5,
"ToAccount": "Inventory",
"Notes": "Quick received replacement parts",
"TransactionDate": "2026-06-22T10:30:00Z"
}Example URL
https://company.mvpplant.com/ODataApi/v1/Parts('PART-1001')/QuickReceiveResponse
Returns a Boolean value.
trueNotes
- Use this endpoint to quickly receive a quantity of an existing part into inventory.
- The part must already exist before you call this endpoint.
- Use single quotes around the part name or part ID in the URL.
Quantityshould be the amount received.DateTimeshould use the date and time format expected by your MVP One environment.
